Name:           kphone
Version:        4.2
Release:        11%{?dist}
Summary:        A SIP (Session Initiation Protocol) user agent for Linux

Group:          Applications/Communications
License:        GPL
URL:            http://www.wirlab.net/kphone/
Source0:        http://www.wirlab.net/kphone/%{name}-%{version}.tar.gz
Source1:        kphone.desktop
Patch0:         kphone-4.1.1-iso.patch
Patch1:         kphone-4.1.0-endian.patch
Patch2:         kphone-4.1.0-strip.patch
Patch3:         kphone-4.2-callaudio-stun-init.patch
Patch4:		kphone-gcc41.patch
Patch5:		kphone-4.2-configure.patch
Patch6:		kphone-perms.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel alsa-lib-devel desktop-file-utils openssl-devel

%description
KPhone is a SIP (Session Initiation Protocol) user agent for Linux, with which
you can initiate VoIP (Voice over IP) connections over the Internet.  It
supports Presence and Instant Messaging, and to some extent also video calls
between two hosts.

%prep
%setup -q -n kphone
%patch1 -p1 -b .endian
%patch2 -p1 -b .strip
%patch3 -p1 -b .stun
%patch4 -p1 -b .gcc41
%patch5 -p1 -b .configure
%patch6 -p1 -b .perms

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
%configure  
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -D -m 0644 icons/large-kphone.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/kphone.png
desktop-file-install --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category Application \
  --add-category Internet \
  --add-category Network \
  --add-category Telephony \
  --add-category Qt \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/kphone
%{_datadir}/applications/*.desktop
%{_datadir}/apps/kphone
%{_datadir}/kphone
%{_datadir}/pixmaps/*.png

%changelog
* Sat Sep 02 2006 Dennis Gilmore <dennis@ausil.us> 4.2-11
- rebuild for FC6

* Thu May 19 2006 Dennis Gilmore <dennis@ausil.us> 4.2-10
- Fill in changelog :(

* Thu May 19 2006 Dennis Gilmore <dennis@ausil.us> 4.2-9
- CVE-2006-2442

* Tue Feb 14 2006 Dennis Gilmore <dennis@ausil.us> 4.2-8
- disable srtp  we dont have the deps was testing

* Tue Feb 14 2006 Dennis Gilmore <dennis@ausil.us> 4.2-7
- rebuild for fc5

* Sun Feb 05 2006 Dennis Gilmore <dennis@ausil.us> 4.2-6
- patch configure  so we use standard CFLAGS  
- reapply STUN patch 

* Fri Feb 02 2006 Dennis Gilmore <dennis@ausil.us> 4.2-5
- patch for gcc 4.1

* Wed Dec 21 2005 Dennis Gilmore <dennis@ausil.us> 4.2-4
-rebuild for new gcc :)

* Sat Nov 12 2005 Dennis Gilmore <dennis@ausil.us> 4.2-3
- Rebuild for updated openssl

* Thu Aug 04 2005 Dennis Gilmore <dennis@ausil.us> 4.2-2%{?dist}
- Remove STUN patch as it causes Segfaults on call.  Will reapply when fixed.

* Sat Jul 23 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 4.2-1
- Upstream update
- Add STUN patch from Stefan Becker (#163322)

* Fri May 20 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 4.1.1-1
- Upstream update

* Mon May  9 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 4.1.0-13
- Patch to prevent stripping of binary (#157261)

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Mar 26 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 4.1.0-11
- Added Network category to desktop entry

* Wed Mar 23 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 4.1.0-10
- First attempt to get it working properly on PPC

* Tue Mar 22 2005 Seth Vidal <skvidal at phy.duke.edu> 4.1.0-9
- add openssl-devel to buildreqs

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 4.1.0-8
- %%

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 4.1.0-7
- Macros in %%changelog are dangerous

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 4.1.0-6
- Split %%makeinstall ... to make ... install

* Fri Mar 18 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 4.1.0-5
- Added DESTDIR to %%makeinstall

* Thu Mar 17 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 4.1.0-4
- Fixed %%configure
- Added po-hacks patch

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 4.1.0-3
- Modified %%setup to use -n
- Broke %%description at 80 columns

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 4.1.0-2
- Removed explicit Requires

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 4.1.0-1
- Bump release to 1
- Added d-f-u to BR

* Sat Jan 22 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:4.1.0-0.iva.0
- Initial RPM release.
